Subject: XDTM (X DeskTop Manager) patches
From: Lutz Molgedey <[email-masked]>
Date: Mon, 18 Apr 1994 16:38:54 GMT
Newsgroups: comp.os.linux.announce

In article [email-masked], [email-masked] (Sergio Fanchiotti) writes:
> Hi, I tried compiling xdtm v 2.5.1 from the distribution code as the
> version of the bins in sunsite are a bit old and crash (I'm using the
> libc *.24 that came with slackare 1.2.0). 
> 
> Using the help provided in the files found in xdtm.linux.tar at sunsite
> plus a bit of correcting the things that gcc told me there were wrong it
> is possible to start the app. The main problem appears with the icons
> assignments...  thay are a bit mixed up... I tried to compile the version
> without XPM support but there was one variable that I didn't know what
> to do with...
> 
> Has anybody had any luck on this application? any suggestions?
> 
> Saludos,
> 	...Sergio
> 	

Hi hackers,
use the following one instead. I've started to put a collection of pixmaps
together for use with linux. However I had not the time for finish this and
uploading to sunsite - hence you may only have a look on my WWW home page.
Lutz.
-------------------------------------------------------------------------------
Lutz Molgedey                     [email-masked]
Institut fuer Theoretische Physik |http://www.theo-physik.uni-kiel.de/~molgedey 
Olshausenstr. 40                  |Tel. (+49/431)8804071
D-24118 Kiel                      |Fax. (+49/431)8804094

diff -rc xdtm/Imakefile xdtm251-linux/Imakefile
*** xdtm/Imakefile	Thu Sep 16 08:23:35 1993
--- xdtm251-linux/Imakefile	Tue Nov 30 20:11:36 1993
***************
*** 50,57 ****

  
! /* #define BISON /* If you want to use bison instead of yacc */
! /* #define FLEX /* If you want to use flex instead of lex */
  #define XPM /* If you have the Xpm library installed */
  
  #ifdef XPM
--- 50,57 ----

  
! #define BISON /* If you want to use bison instead of yacc */
! #define FLEX /* If you want to use flex instead of lex */
  #define XPM /* If you have the Xpm library installed */
  
  #ifdef XPM
***************
*** 137,142 ****
--- 137,146 ----
  
  #ifdef i386BsdArchitecture
           XDTMOPTIONS = -DHAS_STRSTR -DUSE_CWD -DECHO_N -DUSE_TERMIOS
+ #endif
+ 
+ #if defined(LinuxArchitecture)
+            XDTMOPTIONS = -DHAS_STRSTR -DUSE_CWD -DECHO_N -DUSE_TERMIOS
  #endif
  
  /* Other defines 
diff -rc xdtm/appman.c xdtm251-linux/appman.c
*** xdtm/appman.c	Thu Sep 16 08:18:50 1993
--- xdtm251-linux/appman.c	Tue Nov 30 20:03:26 1993
***************
*** 67,72 ****
--- 67,77 ----
  #include <fcntl.h>
  #endif
  
+ #ifdef linux
+ #define FAPPEND O_APPEND
+ #define FNDELAY O_NDELAY
+ #endif
+ 
  /* external and forward functions definitions */
  #if NeedFunctionPrototypes
    extern void AttachProcessToTermWindow(Widget, String, FILE*, int, int);
***************
*** 1442,1448 ****
  	       * so we can change the group of the terminal.
  	       */
  #ifdef USE_TERMIOS
! #ifdef SVR4
  	      setpgrp();
  #else
  	      setpgrp(0, tcgetpgrp(0));
--- 1447,1453 ----
  	       * so we can change the group of the terminal.
  	       */
  #ifdef USE_TERMIOS
! #if defined(SVR4)||defined(linux)
  	      setpgrp();
  #else
  	      setpgrp(0, tcgetpgrp(0));
***************
*** 1449,1455 ****
--- 1454,1464 ----
  #endif
  #else /* termio */
  	      ioctl(0, TIOCGPGRP, &pgrp);
+ #ifndef linux
  	      setpgrp(0, pgrp);
+ #else
+ 	      setpgrp();
+ #endif
  #endif
  	      
  	      /*
***************
*** 1464,1470 ****
  #else /* termio */
  	      ioctl(0, TIOCSPGRP, &pid);
  #endif
! #ifdef SVR4
  	      setpgrp();
  #else
  	      setpgrp(0, pid);
--- 1473,1479 ----
  #else /* termio */
  	      ioctl(0, TIOCSPGRP, &pid);
  #endif
! #if defined(SVR4)||defined(linux)
  	      setpgrp();
  #else
  	      setpgrp(0, pid);
diff -rc xdtm/doubleclick.c xdtm251-linux/doubleclick.c
*** xdtm/doubleclick.c	Thu Sep 16 08:07:41 1993
--- xdtm251-linux/doubleclick.c	Tue Nov 30 20:07:28 1993
***************
*** 2478,2486 ****
--- 2478,2488 ----
        break;
  
  #if !defined(TRUE_SYSV) && !(defined(sun) && defined(SVR4))
+ #ifdef EDQUOT /* linux may or may not have quota? */
        case EDQUOT:
  	alert_dialog("Quota over limit", NULL, NULL);
        break;
+ #endif
  #endif
  
        case EIO:
diff -rc xdtm/parser.y xdtm251-linux/parser.y
*** xdtm/parser.y	Wed Sep 15 13:43:24 1993
--- xdtm251-linux/parser.y	Tue Nov 30 20:04:53 1993
***************
*** 894,900 ****
--- 894,902 ----
        if ((status = get_pixmap(fullname, &icontable, pixmap, mask)))
        {
  	  /* unable to load the pixmap, continue search in other dirs */
+ #ifndef linux
  	  XtFree((char *)fullname);
+ #endif
  	  fullname == NULL;
        }
      } 

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.
-- 
Linux: Generous programmers from around the world all join forces to help
       you shoot yourself in the foot for free.